Can't find the following dependencies

Latest response

Hi,

Anyone can help to advise where the following dependencies files for redhat enterprise linux 7.6? Thanks in advance.

  • ibQt5Gui.so.5.9.5
  • libQt5Core.so.5.9.5
  • libQt5Network.so.5.9.5

Regards
Eric

Responses

Hello Eric,

You could search through the available/enabled repositories and find out to which package these file may belong to using the command "yum provides */ibQt5Gui.so" (guess that you might have already tried this). Also, make sure to enable the additional repos along with the default server repo so that the chances of missing out the intended package is less as shown below (if you've not enabled):

# subscription-manager repos --enable rhel-7-server-optional-rpms --enable rhel-7-server-extras-rpms --enable rhel-7-server-supplementary-rpms 

# subscription-manager repos --list-enabled

Once done, hit the same 'yum provides' command see that pulls out any package. If found then you could install it. Otherwise, I guess the intended package may be from a third party which may be part of the EPEL (Fedora) or the application vendor has to provide its repository details, so that you could get it configured and install.

Hope this helps! All the best!